Subject: [Fwd: Follow up information [Re: Case sensitivity in make.exe]]
From: [email-masked] (Andrew Sweeney)

21 Oct 1997 05:31:36 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------FBFBAAEF4E301472320A95BB"
To: "[email-masked]" <[email-masked]>

This is a multi-part message in MIME format.
--------------FBFBAAEF4E301472320A95BB
Content-Type: text/plain; charset=us-ascii
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Content-Transfer-Encoding: 7bit

Sorry, But I have more information regarding this.

If I use the ls version 3.5 and gnuwin32.dll (I don't know where I got
this but it is on our server)  the wildcard searches work correctly.

I believe the bug (I will call it a bug because it works correctly in a
later version) lies somewhere in cygwin.dll

Thanks
Andy

BTW Please send mail directly. this group blows away my mailbox.

D:\ADI Software\CODE\HSE>ls --v
GNU fileutils 3.5

D:\ADI Software\CODE\HSE>ls locatemg.c
ls: locatemg.c: No such file or directory

D:\ADI Software\CODE\HSE>ls locatemgr.c
locatemgr.c

D:\ADI Software\CODE\HSE>ls locate*gr.c
LocateMgr.c

Andrew Sweeney wrote:

> Hi,
>
>     I have more info on this problem that I am having with case
> sensitivity while using the cygnus product.
>
>     There seems to be some problem wiht case sensitivity when running
> this product on NT.
>
>     Example:
>
>     I have a file LocateMgr.c
>
>     Running ls on this file in the following ways doesn't produce the
> same results. The problem is with wildcards and mixed case, see below.
>
>     D:\ADI Software\CODE\HSE>ls LocateMgr.c
> LocateMgr.c
>
> D:\ADI Software\CODE\HSE>ls locatemgr.c
> locatemgr.c
>
> D:\ADI Software\CODE\HSE>ls *ocatemgr.c
> ls: *ocatemgr.c: No such file or directory
>
> D:\ADI Software\CODE\HSE>ls *ocateMgr.c
> LocateMgr.c
>
> D:\ADI Software\CODE\HSE>ls *ocate*gr.c
> LocateMgr.c
>
> Is there a way to disable the case sensitivity for the cygnus gnuwin32
>
> product?
>
> Thanks
> Andy
> --
>
> Andrew Sweeney
> [email-masked]
> 29 King Street
> Littleton, Ma 01460
> Andrew Sweeney wrote:
>
> > How do I disable filename case sensitivity in make.
> >
> > I have a problem where I use gcc -MM to generate dependencies. The
> > output is all lowercase and when I compile it doesn't find the
> correct
> >
> > file.
> >
> > I have a huge sorucetree so I can't rename every file. It will break
>
> > other developers.
> >
> > example.
> >
> > Locate.c
> >
> > output of gcc-MM
> >
> > loacte.o: ../src/locate.c ../inc/locate.h
> >
> > gcc -o locate.o
> >
> > Error: No such file locate.c
> >
> > I am running on Window NT. Should this package work on win NT?
> >
> > I you know the answer could you please email me. I took my name off
> > the
> > list cause of the volume of mail generated.
> >
> > thanks
> > Andy
> >
> > --
> >
> > Andrew Sweeney
> > [email-masked]
> > 29 King Street
> > Littleton, Ma 01460
>
>
> -------------------------------------------------------------------------------------------------------------
>
> Subject: Case sensitivity in make.exe
> Date: Mon, 20 Oct 1997 17:34:44 -0400
> From: Andrew Sweeney <[email-masked]>
> To: "[email-masked]" <[email-masked]>
>
> How do I disable filename case sensitivity in make.
>
> I have a problem where I use gcc -MM to generate dependencies. The
> output is all lowercase and when I compile it doesn't find the correct
>
> file.
>
> I have a huge sorucetree so I can't rename every file. It will break
> other developers.
>
> example.
>
> Locate.c
>
> output of gcc-MM
>
> loacte.o: ../src/locate.c ../inc/locate.h
>
> gcc -o locate.o
>
> Error: No such file locate.c
>
> I am running on Window NT. Should this package work on win NT?
>
> I you know the answer could you please email me. I took my name off
> the
> list cause of the volume of mail generated.
>
> thanks
> Andy
>
> --
>
> Andrew Sweeney
> [email-masked]
> 29 King Street
> Littleton, Ma 01460

--

Andrew Sweeney
[email-masked]
29 King Street
Littleton, Ma 01460

--------------FBFBAAEF4E301472320A95BB
Content-Type: message/rfc822
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Message-ID: <[email-masked]>
Date: Tue, 21 Oct 1997 07:27:22 -0400
From: Andrew Sweeney <[email-masked]>
X-Mailer: Mozilla 4.01 [en] (WinNT; I)
MIME-Version: 1.0
To: "[email-masked]" <[email-masked]>
Subject: Follow up information [Re: Case sensitivity in make.exe]
X-Priority: 3 (Normal)
Content-Type: multipart/mixed; boundary="------------8E8F4C987C338CD43A3B6CF3"

This is a multi-part message in MIME format.
--------------8E8F4C987C338CD43A3B6CF3
Content-Type: text/plain; charset=us-ascii
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Content-Transfer-Encoding: 7bit

Hi,

    I have more info on this problem that I am having with case
sensitivity while using the cygnus product.

    There seems to be some problem wiht case sensitivity when running
this product on NT.

    Example:

    I have a file LocateMgr.c

    Running ls on this file in the following ways doesn't produce the
same results. The problem is with wildcards and mixed case, see below.

    D:\ADI Software\CODE\HSE>ls LocateMgr.c
LocateMgr.c

D:\ADI Software\CODE\HSE>ls locatemgr.c
locatemgr.c

D:\ADI Software\CODE\HSE>ls *ocatemgr.c
ls: *ocatemgr.c: No such file or directory

D:\ADI Software\CODE\HSE>ls *ocateMgr.c
LocateMgr.c

D:\ADI Software\CODE\HSE>ls *ocate*gr.c
LocateMgr.c

Is there a way to disable the case sensitivity for the cygnus gnuwin32
product?

Thanks
Andy
--

Andrew Sweeney
[email-masked]
29 King Street
Littleton, Ma 01460
Andrew Sweeney wrote:

> How do I disable filename case sensitivity in make.
>
> I have a problem where I use gcc -MM to generate dependencies. The
> output is all lowercase and when I compile it doesn't find the correct
>
> file.
>
> I have a huge sorucetree so I can't rename every file. It will break
> other developers.
>
> example.
>
> Locate.c
>
> output of gcc-MM
>
> loacte.o: ../src/locate.c ../inc/locate.h
>
> gcc -o locate.o
>
> Error: No such file locate.c
>
> I am running on Window NT. Should this package work on win NT?
>
> I you know the answer could you please email me. I took my name off
> the
> list cause of the volume of mail generated.
>
> thanks
> Andy
>
> --
>
> Andrew Sweeney
> [email-masked]
> 29 King Street
> Littleton, Ma 01460

--------------8E8F4C987C338CD43A3B6CF3
Content-Type: message/rfc822
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Message-ID: <[email-masked]>
Date: Mon, 20 Oct 1997 17:34:44 -0400
From: Andrew Sweeney <[email-masked]>
X-Mailer: Mozilla 4.01 [en] (WinNT; I)
MIME-Version: 1.0
To: "[email-masked]" <[email-masked]>
Subject: Case sensitivity in make.exe
X-Priority: 3 (Normal)
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

How do I disable filename case sensitivity in make.

I have a problem where I use gcc -MM to generate dependencies. The
output is all lowercase and when I compile it doesn't find the correct
file.

I have a huge sorucetree so I can't rename every file. It will break
other developers.

example.

Locate.c

output of gcc-MM

loacte.o: ../src/locate.c ../inc/locate.h

gcc -o locate.o

Error: No such file locate.c

I am running on Window NT. Should this package work on win NT?

I you know the answer could you please email me. I took my name off the
list cause of the volume of mail generated.

thanks
Andy

--

Andrew Sweeney
[email-masked]
29 King Street
Littleton, Ma 01460

--------------8E8F4C987C338CD43A3B6CF3--

--------------FBFBAAEF4E301472320A95BB--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".